interface commonRes {
    code: number
    msg: string

}
export declare namespace openApiRes {
    interface openApiGanZhiGet8ziByDate extends commonRes {
        data: {
            username: string
            piQi: string
            guiren: string
            industry: string
            xiFangWei: string
            chenGuMap: {
                称骨评语: string
                称骨重量: string
            }
            riYuan: {
                qr:string
                score:number
                xiYong:string[]
                xiYongOld:string[]
            }
            sex: 0 | 1
            birthday: string
            nongDay: string
            qingGan: string
            reportMap: { 潮湿平衡: string; 缺失五行评语: string; 缺失十神评语: string; 财运: string }
            ziNvYun:{ "1": string, "2": string, "3": string }
            caiYun:{ "1": string, "2": string, "3": string }
            guoGuanMap: { "1": string, "2": string, "3": string }
            ganZhiRowVoList: {
                enColor: string
                gongWei: string
                xi: string
                ji: string
                name: string
                five: string
                color: string
                shiShen1: string
                shiShen2: string
                shiShen3: string
                hexColor: string

            }[]
          
            ganZhiNaYinVoList: {
                naYin: string
                zhu: string

            }[]
            ganZhiKongWangVoList: {
                kongWang: string
                zhu: string
            }[]
            diseasePartList: {
                degree: string,
                id: number,
                part: string,
                sex: number,
                symp: string
            }[]
            numberYunMap: {
                numberYuns: string
                numberYunList: {
                    caiYun: string
                    id: string
                    taoHua: string
                }[]
            }


        }

    }
    interface openApiBirthdayLog extends commonRes {

    }
}


