import axios, { AxiosRequestConfig, AxiosResponse } from "axios";
import axiosAdapterUniapp from 'axios-adapter-uniapp'
import { config } from "vue/types/umd";
const request = axios.create({
    baseURL: process.env.NODE_ENV === "production" ? "https://xpgx.zzxcx.net/prod-api/" : "https://107j18o08.vicp.fun/",


});
axios.defaults.adapter = axiosAdapterUniapp
//请求拦截器

request.interceptors.request.use<AxiosRequestConfig<any>>(config => {
    if (config.url?.includes('login/')) {

    }
    else {

        config.headers ? config.headers["Authorization"] = ("Bearer " + uni.getStorageSync("token") || "") : ''
        return config
    }

    return config
}, err => { console.log(err) })
//响应拦截器
request.interceptors.response.use<AxiosResponse>(res => {
    
    return res

})
export default request